/***************************************************************************
 * settabmidi.h: implementation of SetTabMidi class
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2003-2006 the KTabEdit development team <mrgwen@gmail.com>
 * copyright (C) 2002-2003 the KGuitar development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef SETTABMIDI_H
#define SETTABMIDI_H

#include <QWidget>

#include "ui_settabmidibase.h"

/*!
	TODO
*/
class SetTabMidi : public Ui::SetTabMidiBase {
//	Q_OBJECT

public:
	/*!
		TODO
	*/
	SetTabMidi(QWidget* parent);
	
	/*!
		TODO
	*/
	virtual ~SetTabMidi();
	
	/*!
		TODO
	*/
	void setChorus(int);
	
	/*!
		TODO
	*/
	void setPan(int);
		
	/*!
		TODO
	*/
	void setReverb(int);
	
	/*!
		TODO
	*/
	void setTranspose(int);
	
	/*!
		TODO
	*/
	void setVolume(int);
private:
	QWidget* mWidget;
};

#endif // SETTABMIDI_H
